import { IngredientNames, Ingredients } from '@/interfaces/Ingredients';

interface Props {
    ingredients: Ingredients;
    price: number; 
    onClick: VoidFunction
}

const OrderSummary = ({price, ingredients, onClick}: Props) => {
    const ingredientSummary = Object.keys(ingredients)
                                    .map((ingKey) => {
                                        return (
                                           <li key={ingKey}>
                                                <span style={{textTransform: 'capitalize'}}>
                                                    {ingKey}
                                                </span>: {ingredients[ingKey as IngredientNames]}
                                            </li> 
                                        )
                                    })

    return (
        <>
           <h3>Your order</h3>
           <p>A delicious burger with the following ingredients:</p>
           <ul>
               {ingredientSummary}
           </ul>
           <p><strong>Total Price: {price} ₸</strong></p>
           <button onClick={onClick}>
                Continue
           </button>
       </>
    )
}

export default OrderSummary